<?php
/**
 * Googleのサイト内検索
 * 
 * http://www.google.co.jp/intl/ja/searchcode.html
 * 文字コードを utf-8 に変更しています。
 */
require_once 'Platy/Widget.php';

class Platy_Widget_GoogleSearch extends Platy_Widget
{
    public function install() { return true; }
    public function uninstall() { return true; }

    public function getSummary()
    {
        return 'Googleのサイト内検索による検索';
    }
    
    public function view()
    {
        global $db;
        
        $a = array('title' => '', 'icons' => '', 'main' => '', 'footer' => '');
        
        $a['title'] = 'サイト内検索';

        ob_start();
?>
<!-- SiteSearch Google -->
<center>
<form method=get action="http://www.google.co.jp/search">
<table bgcolor="#FFFFFF"><tr valign=top><td>
<a href="http://www.google.co.jp/">
<img src="http://www.google.com/logos/Logo_40wht.gif" 
border="0" alt="Google" align="absmiddle"></a>
</td></tr>
<tr><td>
<input type="text" name="q" size="31" maxlength="255" value="" />
<input type="hidden" name="ie" value="utf-8" />
<input type="hidden" name="oe" value="utf-8" />
<input type="hidden" name="hl" value="ja" />
<input type="submit" name="btnG" value="Google 検索" />
<font size=-1>
<input type="hidden" name="domains" value="<?php echo BASE_FULL_URL ?>" /><br />
<input type="radio" name="sitesearch" value="" /> WWW を検索 <br />
<input type="radio" name="sitesearch" value="<?php echo BASE_FULL_URL ?>" checked="checked" /> サイト内を検索
</font>
</td></tr></table>
</form>
</center>
<!-- SiteSearch Google -->
<?php
        $a['main'] = ob_get_contents();
        ob_end_clean();
        
        return $a;
    }
}
?>